<?php

define('_IN_JOHNCMS', 1);

$textl='Добавление спонсоров'; 

require_once("../incfiles/core.php");

require_once("../incfiles/head.php");

require_once("manfunc.php"); 



echo"<h2 align='center'>$textl</h2>";



if($rights>=7)

{

	if($_POST['submit'])

	{

		$name = $_POST['name'] ? trim(functions::check($_POST['name'])) : false;

		$pic = $_POST['pic'] ? trim(functions::check($_POST['pic'])) : false;

		$pay = $_POST['pay'] ? intval($_POST['pay']) : false;

		$plus = $_POST['plus'] ? intval($_POST['plus']) : false;

		

		echo'<b>';

		

		if(!$name || !$pay || !$plus)

		{

			echo'Нужно заполнить все поля!<br/>';

		}

		else

		{

			if(!$pic)

			{

				$pic = 'nopic.jpg';

			}

			mysql_query("INSERT INTO `fman_spons` SET `name`='$name', `pic`='$pic', `plus`='$plus', `pay`='$pay'");

			echo'Новый спонсор '.$name.' добавлен!';

		}

		

		echo'</b><hr/>';

	}

		echo

		'

			<form action="addspons.php" method="post">

				<b>Название спонсора:</b><br/><input type="text" name="name" /><br/>

				<b>Картинка:</b><br/><input type="text" name="pic" value="nopic.jpg" /><br/>

				<b>Стоимость контракта:</b><br/><input type="text" name="pay" /><br/>

				<b>Доход за матч:</b><br/><input type="text" name="plus" /><br/>

				<input type="submit" name="submit" value="Создать" />

			</form>

		';

		echo"<div class='phdr'><a href='adminka.php'>Админка</a></div>";

}



require_once("../incfiles/end.php"); 

?>

